/****************************************************************************
** $Id: qpmcache.h,v 2.0 1996/09/24 10:15:58 agulbra Exp $
**
** Definition of QPixmapCache class
**
** Created : 950501
**
** Copyright (C) 1992-1996 Troll Tech AS.  All rights reserved.
**
** This file is part of the non-commercial distribution of Qt 1.0
** see the file LICENSE included in the distribution for the usage
** and distribution terms, or http://www.troll.no/qt/license.html.
**
** (This file differs from the commercial version of Qt only by this comment.)
**
*****************************************************************************/

#ifndef QPMCACHE_H
#define QPMCACHE_H

#include "qpixmap.h"


class QPixmapCache				// global pixmap cache
{
public:
    static  int		cacheLimit();
    static  void	setCacheLimit( int );
    static  QPixmap    *find( const char *key );
    static  bool	insert( const char *key, QPixmap * );
    static  void	clear();
};


#endif // QPMCACHE_H
